> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/api/portfolio/get-portfolio-address-history.md).

# Get Portfolio Address History

Use this endpoint to retrieve the daily balance history for a registered portfolio address over a specific time period.

{% hint style="info" %}
You need to first register a portfolio address with [Register Portfolio Address](/api/portfolio/register-portfolio-address.md)
{% endhint %}

{% hint style="success" %}
Only BTC balances are supported at the moment. More Bitcoin asset balances will follow soon.
{% endhint %}

## GET /v1/portfolio/history

> Get the daily balance history for an address from the portfolio.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/portfolio/history":{"get":{"tags":["Portfolio"],"description":"Get the daily balance history for an address from the portfolio.","parameters":[{"schema":{"type":"string"},"in":"query","name":"address","required":true},{"schema":{"default":0,"minimum":0,"multipleOf":25,"type":"number"},"in":"query","name":"offset","required":false},{"schema":{"default":25,"minimum":25,"maximum":25,"type":"number"},"in":"query","name":"limit","required":false},{"schema":{"type":"string"},"in":"query","name":"startDate","required":true,"description":"from date, inclusive - (e.g. 2024-08-29)"},{"schema":{"type":"string"},"in":"query","name":"endDate","required":true,"description":"to date, exclusive - (e.g. 2024-09-01)"},{"schema":{"enum":["bitcoin"],"type":"string"},"in":"query","name":"assetType","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"limit":{"type":"number"},"offset":{"type":"number"},"lastBlockHeight":{"nullable":true,"type":"number"},"items":{"type":"array","items":{"type":"object","properties":{"assetType":{"type":"string"},"assetId":{"type":"string"},"address":{"type":"string"},"balance":{"type":"object","properties":{"valueInSats":{"type":"string"},"valueInUsd":{"type":"string"}}},"date":{"type":"string"}},"required":["assetType","assetId","address","balance","date"]}}},"required":["limit","offset","lastBlockHeight","items"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xverse.app/api/portfolio/get-portfolio-address-history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
